Description

Hi,

In Settings menu > Options > Canvas and Legend Menu, there are some problems with the options:

- checking or not capitalise layer name seems to not work; You need to close the project and reopen to see the effect.

- by default, layer names are in bold (i think they shouldn't). Checking or unchecking this checkbox meant nothing;

- Checking "Bold Group Names" option changes nothing;

- checking "Add new layers to selected or current group" doesn't work;

- To Display classification attribute names, after checking this box, you need to close the Layer panel and open it. 

All these worked in QGIS 2.2

I attached an image about the distorsion of bold rendering

History

#1 - 2014-05-28 11:03 AM - Giovanni Manghi

- Assignee set to Martin Dobias

- Priority changed from Normal to Severe/Regression

#2 - 2014-05-29 12:19 AM - Nyall Dawson

Couldn't these options just be removed? Do we really need options for bolding individual GUI elements?

#3 - 2014-05-29 02:05 AM - Harrissou Santanna

Nyall Dawson wrote:

Couldn't these options just be removed? Do we really need options for bolding individual GUI elements?

I agree. Indeed, I wasn't used to use these options till i remarked that, by default, layer's name were in bold (not really readable). And no change possible.

Maybe, we should just keep group layer name in bold (by default) to easily distinguish them.

#4 - 2014-05-30 11:48 AM - Etienne Tourigny

I think "Add new layers to selected or current group" should be fixed, group names should be bold and layers not, and I'm not sure I understand the

"Display classification attribute names" option. Other options should be removed IMHO.
#5 - 2014-05-30 03:00 PM - Harrissou Santanna

"Display classification attribute names" option adds in the TOC, under the layer name, the name of the field (or the expression) used for your symbology. It

is useful when you have, in a  project, more than one copy of a layer with different symbology on each one. Displaying the name of the field clearly helps

you to quickly identify the layer you need to use in your map, I think.

The options that should be removed IMHO are those related to bold or capitalise and set defaults values for them (group name in bold, regular for layer

name and i'm not sure if capitalising must be kept).

#6 - 2014-06-02 03:23 AM - Martin Dobias

- "Add new layers to selected or current group" is now always used - the option can be removed

- bold layer / group - I believe we should have one standard setting and stick to it, I am for removing those options.

- new layers visible - originally a workaround for long rendering time. I think it can be removed with multi-threaded rendering in place.

The update of capitalization / display of classification attribute should be probably fixed.

#7 - 2014-06-03 12:07 AM - Paolo Cavallini

1. agreed

2. agreed for removing

3. not agreed: there are cases (e.g. slow connection, etc.) where an user does not want to load layers, only having it at hand.

#8 - 2014-06-03 01:14 AM - Harrissou Santanna

I found another option that may be concerned by this topic.

In Preferences > Option > General, there is a checkbox "Bold Group Layer Title" (or something like that). Isn't it the same thing than "Bold Group Names"?

#9 - 2014-06-04 12:12 AM - Martin Dobias

Fixed support for "new layers visible" (#10412)

Harrissou: the option you are referring to sets bold font for collapsible group box widgets in QGIS - not related to this issue.

#10 - 2014-06-13 04:53 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in commits from commit:eb86ecaa34ea134d5edda7ddcef90ece77455917 to commit:98683342ec764998e6bf8613b394ea0736930357
